/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.4.0-dev at Tue Oct  9 15:58:33 2018. */

#include "api.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t google_protobuf_Api_fields[8] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Api, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Api, methods, name, &google_protobuf_Method_fields),
    PB_FIELD(  3, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Api, options, methods, &google_protobuf_Option_fields),
    PB_FIELD(  4, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Api, version, options, 0),
    PB_FIELD(  5, MESSAGE , SINGULAR, STATIC  , OTHER, google_protobuf_Api, source_context, version, &google_protobuf_SourceContext_fields),
    PB_FIELD(  6, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Api, mixins, source_context, &google_protobuf_Mixin_fields),
    PB_FIELD(  7, UENUM   , SINGULAR, STATIC  , OTHER, google_protobuf_Api, syntax, mixins, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_Method_fields[8] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Method, name, name, 0),
    PB_FIELD(  2, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Method, request_type_url, name, 0),
    PB_FIELD(  3, BOOL    , SINGULAR, STATIC  , OTHER, google_protobuf_Method, request_streaming, request_type_url, 0),
    PB_FIELD(  4, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Method, response_type_url, request_streaming, 0),
    PB_FIELD(  5, BOOL    , SINGULAR, STATIC  , OTHER, google_protobuf_Method, response_streaming, response_type_url, 0),
    PB_FIELD(  6, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Method, options, response_streaming, &google_protobuf_Option_fields),
    PB_FIELD(  7, UENUM   , SINGULAR, STATIC  , OTHER, google_protobuf_Method, syntax, options, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_Mixin_fields[3] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Mixin, name, name, 0),
    PB_FIELD(  2, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Mixin, root, name, 0),
    PB_LAST_FIELD
};


/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(google_protobuf_Api, source_context) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_google_protobuf_Api_google_protobuf_Method_google_protobuf_Mixin)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(google_protobuf_Api, source_context) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_google_protobuf_Api_google_protobuf_Method_google_protobuf_Mixin)
#endif


/* @@protoc_insertion_point(eof) */
